Name: libbt
Version: 1.05
Release: %mkrel 4
Summary: C-language Impementation of the BitTorrent core protocols
BuildRoot: %{_tmppath}/%{name}-%{version}-build
License: GPL
Group: Development/C++
URL: http://libbt.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/libbt/libbt-%{version}.tar.bz2
Patch: libbt-1.05-header.patch.bz2
BuildRequires: curl-devel

%description
LibBT is a C reimplementation of the BitTorrent core protocols.  Our goal for
the project is to develop a low overhead library version of the protocols so
that BitTorrent transfers can easily be built in to any existing application.

The sample applications included with LibBT currently run in between 2Mb and
3.5Mb of memory (RSS), depending on the number of peers that are attached.

%package utils
Summary: C-language Impementation of the BitTorrent core protocols
Group: Networking/File transfer

%description utils
LibBT is a C reimplementation of the BitTorrent core protocols.  Our goal for
the project is to develop a low overhead library version of the protocols so
that BitTorrent transfers can easily be built in to any existing application.

This contains the sample applications from LibBT, that currently run
in between 2Mb and 3.5Mb of memory (RSS), depending on the number of
peers that are attached.

%package devel
Summary: C-language Impementation of the BitTorrent core protocols
Group: Development/C

%description devel
LibBT is a C reimplementation of the BitTorrent core protocols.  Our goal for
the project is to develop a low overhead library version of the protocols so
that BitTorrent transfers can easily be built in to any existing application.

The sample applications included with LibBT currently run in between 2Mb and
3.5Mb of memory (RSS), depending on the number of peers that are attached.

%prep
%setup -q
%patch -p1

%build
%configure2_5x
%make

%install 
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
%{__install} -Dd -m 0755                     \
    $RPM_BUILD_ROOT%{_bindir}/               \
    $RPM_BUILD_ROOT%{_libdir}/               \
    $RPM_BUILD_ROOT%{_includedir}/%{name}    \
    $RPM_BUILD_ROOT%{_mandir}/man1/



%{__install} -m 0755 src/{btcheck,btlist,btget} \
    $RPM_BUILD_ROOT%{_bindir}/

%{__install} -m 0644 src/%{name}.a \
    $RPM_BUILD_ROOT%{_libdir}/

%{__install} -m 0644 man/*.1        \
    $RPM_BUILD_ROOT%{_mandir}/man1/

%{__install} -m 0644                                          \
        include/{benc.h,bitset.h,bterror.h,btmessage.h,bts.h} \
        include/{context.h,peer.h,random.h,segmenter.h}       \
        include/{strbuf.h,stream.h,types.h,util.h}            \
    $RPM_BUILD_ROOT%{_includedir}/%{name}

mv %buildroot%_bindir/btcheck %buildroot%_bindir/bt-check
mv %buildroot%_mandir/man1/btcheck.1 %buildroot%_mandir/man1/bt-check.1

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files utils
%defattr(-,root,root)
%doc CHANGELOG CREDITS README errorlist.txt
%{_bindir}/bt*
%{_mandir}/man1/bt*

%files devel
%defattr(-,root,root)
%doc docs/*.txt
%{_libdir}/%{name}.a
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*


%changelog
* Fri Jan 05 2007 Götz Waschk <waschk@mandriva.org> 1.05-4mdv2007.0
+ Revision: 104423
- Import libbt



* Fri Jan 05 2007 Götz Waschk <waschk@mandriva.org> 1.05-4mdv2007.1
- Rebuild

* Thu Jul 20 2006 Götz Waschk <waschk@mandriva.org> 1.05-1mdv2007.0
- Rebuild

* Sun Apr  9 2006 Gtz Waschk <waschk@mandriva.org> 1.05-2mdk
- rename btcheck as there's a conflict with perl-Text-BibTeX

* Sun Dec 11 2005 Gtz Waschk <waschk@mandriva.org> 1.05-1mdk
- build patch
- New release 1.05
- use mkrel

* Wed Apr 27 2005 Gtz Waschk <waschk@mandriva.org> 1.04-1mdk
- new version

* Sun Feb 20 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.03-1mdk
- initial mdk package

* Sat Dec 18 2004 - darix@irssi.org
- initial package
